=== cfg/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/cfg/Makefile,v $
##  Description     : Makefile to compile the configure tool                 --
##  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>             --
##  Created On      : 9.4.2002                                               --
##  Last Modified By: $Author: merdmann $                                    --
##  Last Modified On: $Date: 2004/05/12 15:02:31 $                           --
##  Version         : $Revision: 1.7 $
##  Status          : $State: Exp $
##                                                                           --
##  Copyright (C) 2004 Michael Erdmann                                       --
##                                                                           --
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  This package is  implemented to work with GNAT, the GNU Ada compiler.    --
##                                                                           --
##  Contact                                                                  --
##  =======                                                                  --
##  Error reports shall be handled via http://gnade.sourceforge.net          --
##  Features and ideas via: gnade-develop@lists.sourceforge.net              --
##                                                                           --
##  Author contact:                                                          --
##               purl:/net/michael.erdmann                                   --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile build the example code for the GNU ADO Interface.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
##
##
.PHONY: scripts	build

sinclude ../make.conf
#
binaries=$(foreach f,prep cfgset cfgget, $f$(bin))
##
##
##
all build :: $(binaries)

$(binaries) :: prep.adb cfgset.adb cfgget.adb
	$(ADAMAKE) -XTarget=$(libexec) -Pcfg.gpr

clean ::
	$(RM) b~* *~ *~*~ *.bak
	$(RM) $(binaries) *.ali *.o

distclean :: clean
