=== dbi/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##                                                                           --
##  Filename        : $Source: /cvsroot/gnade/gnade/dbi/Makefile,v $
##  Description     : Top level makefile for the various interfaces
##  Author          : Juergen Pfeifer <juergen.pfeifer@gmx.net> 
##  Created On      : 03-Jan-2001
##  Last Modified By: $Author: merdmann $
##  Last Modified On: $Date: 2004/05/29 13:01:31 $
##  Status          : $State: Exp $
## 
##  Copyright (C) 2000-2004
##
##  GNADE is copyrighted by the persons and institutions enumerated in the   --
##  AUTHORS file. This file is located in the root directory of the          --
##  GNADE distribution.                                                      --
##                                                                           --
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile recursively visits subdirectories with various DB interfaces
##  and performs the make steps there.
##
##  Restrictions
##  ============
##
##  References
##  ==========
##
include ../make.conf
#
.PHONY: odbc mysql postgres sqlite oci 

all  :: $(BINDINGS)

$(BINDINGS):
	$(MAKE) -C./$@ EXPORT=$(EXPORT)

distclean clean:
	$(MAKE) -C./odbc $@
	$(MAKE) -C./mysql $@
	$(MAKE) -C./postgres $@
	$(MAKE) -C./sqlite $@
	$(MAKE) -C./oci $@
