=== esql/Makefile ===
## ----------------------------------------------------------------------------
##                                                                           --
##                      GNADE  : GNu Ada Database Environment                --
##
##  Filename        : $Source: /cvsroot/gnade/gnade/esql/Makefile,v $
##  Description     : Makefile for the ESQL Translator
##  Author          : Michael Erdmann
##  Created On      : 22-Dec-2000
##  Last Modified By: $Author: persan $
##  Last Modified On: $Date: 2007/08/27 05:20:30 $
##  Status          : $State: Exp $
##
##  Copyright (C) 2000-2002, 2004
##
##  GNADE is free software;  you can redistribute it  and/or modify it under --
##  terms of the  GNU General Public License as published  by the Free Soft- --
##  ware  Foundation;  either version 2,  or (at your option) any later ver- --
##  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
##  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
##  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
##  for  more details.  You should have  received  a copy of the GNU General --
##  Public License  distributed with GNAT;  see file COPYING.  If not, write --
##  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
##  MA 02111-1307, USA.                                                      --
##                                                                           --
##  As a special exception,  if other files  instantiate  generics from      --
##  GNADE Ada units, or you link GNADE Ada units or libraries with other     --
##  files  to produce an executable, these  units or libraries do not by     --
##  itself cause the resulting  executable  to  be covered  by the  GNU      --
##  General  Public  License.  This exception does not however invalidate    --
##  any other reasons why  the executable file  might be covered by the      --
##  GNU Public License.                                                      --
##                                                                           --
##  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
##                                                                           --
## ----------------------------------------------------------------------------
##
##  Functional Description
##  ======================
##  This makefile builds the esql translator and exports the support components
##  for the esql translator.
##
##  Restrictions
##  ============
##  None
##
##  References
##  ==========
##  None
##
sinclude ../make.conf

ADAFLAGS = $(DEBUGFLAGS) -gnatf

targetdir=$(subst /,$(PATHSEP),$(bindir))
gesql=gesql$(bin)
binaries=$(gesql)

all dist build: support $(binaries)
ifneq ($(EXPORT),)
	$(MAKE) install
endif

##
##  GESQL - GNU EMBEDDED SQL
##
gesql$(bin) :: gesql.adb esql.gpr   \
	scanner.adb scanner.ads 		\
	driver.adb driver.ads 			\
	esql_parser.ads esql_parser.adb 	\
	esql_variables.ads esql_variables.adb	\
	options.ads				\
	gnu-db-esql_iso92_types.ads
	gnatmake $(ADAFLAGS) -Pesql.gpr

##
## Build the embedded SQL translator
##
gesql.adb: gesql.gpb ../VERSION
	$(ADAPREP) -DVersion=\"$(VERSION)\" gesql.gpb gesql.adb

##
## Support Library
##
libname=libgnadeesql

support ::
	$(ADAMAKE) $(ADAFLAGS) -p -d -Pgnade-esql.gpr

##
##  Install with the GNADE package the translator and its support packages
##
install:
	$(ADAINSTALL) $(includedir) $(wildcard sql_standard.* gnu-*.ali gnu-*.ad* )
	$(MKSTATIC)  $(libdir) $(libname).a
	$(MKSHARED)  $(libdir) $(MINOR) $(MAJOR) $(libname).so
	$(CP) $(gesql) $(targetdir)

##
## distclean
##
clean ::
ifeq ($(EXPORT),)
	$(ADAUINSTALL) $(includedir) $(wildcard sql_standard.* gnu-*.ali gnu-*.ad* gnu-*.o )
endif

	$(RM) *.o *.ali core esql gesql.adb $(binaries) *~ *.bak b~*
