=== debian/changelog ===
gnade (1.6.2-9) unstable; urgency=low

  * upgrade to build with gnat-4.6; bump aliversion

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 17 Jul 2011 15:00:59 -0400

gnade (1.6.2-8) unstable; urgency=low

  * debian/source/format: New file; change to 3.0 (quilt)

  * debian/patches/*.patch: document according to DEP-3

  * debian/compat: bump to 7

  * debian/copyright (Format-Specification): use dep5 format.

  * debian/rules: improve build instructions, drop quilt rules

  * debian/test_installed.sh: do sudo on install steps
  
 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 30 Jun 2010 04:54:55 -0400

gnade (1.6.2-7) unstable; urgency=low

  * debian/control (DM-Upload-Allowed): yes, not true.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (*): add ${misc:Depends} everywhere, per lintian.
    (Uploaders): remove myself, Stephe taking over now.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Jun 2010 22:20:25 +0200

gnade (1.6.2-6) unstable; urgency=low

  * debian/control (DM-Upload-Allowed): true.
    (Architecture): add armel to all packages.  Closes: #568436.
    Comply with Fifth Edition of the Debian Policy for Ada:
    (*-dev): depend on gnat and ada-compiler in addition to gnat-4.4.
    (*-dbg): suggest gnat, ada-compiler to be more visible in aptitude.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Jun 2010 21:42:29 +0200

gnade (1.6.2-5) unstable; urgency=low

  * debian/gnade_{common,odbc,sqlite3}_ref.gpr: delete -fstack-check from
    compiler options; broken in gcc 4.4. Closes: #558980

  * debian/rules: get soversion, aliversion from debian/control

  * debian/gnade_{odbc, sqlite3}_example_installed.gpr: new, used in
    running demos with installed packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Mon, 14 Dec 2009 17:02:46 -0500

gnade (1.6.2-4) unstable; urgency=low

  * debian/gnade_{common,odbc,sqlite3}_ref.gpr: add Library_ALI_Dir;
    fixes weird FTBFS on i386.  Necessary anyway since the libraries
    are not in the same place as the .ali files.
  * debian/control (Architectures): temporarily disable alpha due to
    http://gcc.gnu.org/PR42073.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 17 Nov 2009 00:09:10 +0100

gnade (1.6.2-3) unstable; urgency=low

  * debian/rules: Install source, ali files in correct directories
    according to Debian Ada Policy. Install examples.

  * debian/odbc.gpr: renamed to debian/gnadeodbc.gpr, refer to correct
    directories

  * debian/sqlite3.gpr: renamed to debian/gnadesqlite3.gpr, refer to
    correct directories

  * debian/gnadecommon.gpr: new

  * debian/compat: change to 6.

  * debian/test_installed.sh: New file, for running examples against
    installed packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 05 Nov 2009 06:14:01 -0500

gnade (1.6.2-2) unstable; urgency=low

  [Stephen Leake]
  * Change -dev package names to reflect the change in .ali files (see
    extensive discussion at
    http://people.debian.org/~lbrenta/debian-ada-policy.html):
    - libgnadeodbc-dev -> libgnadeodbc1-dev
    - libgnadesqlite-dev -> libgnadesqlite3-1-dev

  * Change sonames and package names for shared libraries:
    - libgnadeodbc.so.1.6.2 -> libgnadeodbc.so.2
    - libgnadesqlite.so.1.6.2 -> libgnadesqlite3.so.2 (we are linking to
      libsqlite3, not libsqlite).

  * New packages:
    - libgnadecommon1-dev, libgnadecommon1, libgnadecommon-dbg: factorize
      code shared by the ODBC and SQLite3 bindings.

  * Deleted packages:
    - libgnademysql{1.6.2,-dev,-dbg}: clearly broken.
    - libgnadepostgresql{1.6.2,,-dev,-dbg}: uses questionable C import
      techniques.
    - gnade-bin: the embedded SQL preprocessor was clearly broken.

  * debian/control (Build-Depends): delete libmysqlclient; add quilt.
    (Architecture): add kfreebsd-amd64.  Closes: #542413.
    (libgnadeodbc1-dev, libgnadesqlite3-1-dev): depend on libgnadecommon1-dev.

  * debian/rules:
    - ensure dbi/sqlite3 source is used
    - add patch, unpatch targets
    - delete mysql, postgresql, gesql
    - add check target; run gnade demos

  * patches/bug-538643.patch: new.  In *Binding, check size of object,
    not size of type. Closes: #538643.
  * patches/demo_warnings.patch: new.

  [Ludovic Brenta]
  * debian/control (Vcs-Mtn, Vcs-Browse): new.
    (Maintainer): new maintainer Stephen Leake.  Closes: #496787.
    (Uploaders): add myself as the sponsor.
    (*): switch to gnat-4.4.
    (*-dev): ensure Conflicts: and Replaces: with superseded packages.
    Suggest the -dbg packages.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 22 Oct 2009 22:19:46 +0200

gnade (1.6.2-1.1) unstable; urgency=low

  * NMU per release team's encouragement.
  * debian/control (Build-Depends, libgnademysql-dev): list unversioned
    libmysqlclient-dev rather than libmysqlclient15-dev.  (Closes: #538522.)
    (gnade-bin, libgnade*-{dev,dbg}): correct ${source:Version} to
    ${binary:Version} as needed to ensure binNMU-safety, and generally
    correct -dbg packages' metadata (extraneous dependencies cleaned up,
    section changed to debug).  (Closes: #542325.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Sep 2009 20:59:02 -0400

gnade (1.6.2-1) unstable; urgency=low

  * Migrate to gnat-4.3; change the sonames to *.1.6.2.
  * New upstream version from CVS.  Closes: #471619.
  * debian/control (Architectures): add mips, mipsel and ppc64.
    (Standards-Version): update to 3.8.0.
  * patches/*: remove, no longer necessary.  Do not b-d on quilt anymore.
  * Introduce -dbg packages for all interfaces (ODBC, MySQL, PostgreSQL
    and SQLite).

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jul 2008 22:19:46 +0200

gnade (1.6.1-2) unstable; urgency=low

  * Install the preprocessed source files in libgnadeodbc-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 17 Oct 2007 16:10:27 +0200

gnade (1.6.1-1) unstable; urgency=low

  * Acknowledge NMU.  Thanks, Luk. Closes: #362979, #356760.

