=== debian/control ===
Source: gnade
Section: libs
Priority: optional
Maintainer: Stephen Leake <stephen_leake@stephe-leake.org>
DM-Upload-Allowed: yes
# sqlite3, libsqlite3-dev are used to test the sqlite3 interface
Build-Depends: debhelper (>= 7.2.4), gnat-4.6, unixodbc-dev, libsqlite3-dev
Standards-Version: 3.9.2
XS-Vcs-Mtn: www.ada-france.org org.debian.gnade
XS-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnade

# lib*-dev integer is aliversion
# lib integer is soversion
# when change aliversion, also need to change:
#    gnadecommon2-dev.README.Debian filename
Package: libgnadecommon2-dev
Architecture: any
Section: libdevel
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon1 (= ${binary:Version}), ${misc:Depends}
Suggests: libgnadecommon-dbg
Description: GNat Ada Database Environment - subprograms common to other GNADE packages
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 common subprograms.

Package: libgnadecommon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgnadecommon1 (= ${binary:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - common debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the common library.

Package: libgnadecommon1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - common subprograms library
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the common subprograms.

Package: libgnadeodbc2-dev
Architecture: any
Section: libdevel
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon2-dev (= ${binary:Version}), unixodbc (>= 2.2.11-16),
 libgnadeodbc2 (= ${binary:Version}), ${misc:Depends}
Suggests: libgnadesqlite3-2-dev, libgnadeodbc-dbg
Conflicts: gnade-dev, libgnadeodbc-dev
Replaces: libgnadeodbc-dev
Description: GNat Ada Database Environment - ODBC programming interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 ODBC interface.

Package: libgnadeodbc-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libgnadeodbc2 (= ${binary:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - ODBC debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the ODBC interface.

Package: libgnadeodbc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - ODBC interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the ODBC interface.

Package: libgnadesqlite3-2-dev
Architecture: any
Depends: gnat, gnat-4.6, ada-compiler,
 libgnadecommon2-dev (= ${binary:Version}),
 libsqlite3-dev, libgnadesqlite3-2 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Suggests: libgnadesqlite3-dbg
Conflicts: libgnadesqlite-dev
Replaces: libgnadesqlite-dev
Description: GNat Ada Database Environment - SQLite3 programming interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the development files and static library for the
 SQLite3 interface.

Package: libgnadesqlite3-dbg
Priority: extra
Architecture: any
Depends: libgnadesqlite3-2 (= ${binary:Version}), ${misc:Depends}
Section: debug
Suggests: gnat, ada-compiler
Description: GNat Ada Database Environment - SQLite3 debugging symbols
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the debugging symbols for the SQLite3 interface.

# when change soversion, also need to change:
#    libgnadesqlite3-2.lintian-overrides    filename
Package: libgnadesqlite3-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNat Ada Database Environment - SQLite3 interface
 GNADE is a complete database development environment for Ada
 programmers.  It consists of:
 .
 a. A Thin binding to the ODBC API.  With this API, you can write
 programs that query any ODBC-compliant database server.
 .
 b. A thin binding to SQLite3.
 .
 This package contains the shared library for the SQLite3 interface.
